org.crosswire.common.xml

## Class XMLFeatureSet.XMLFeatureState

- java.lang.Object
- - org.crosswire.common.xml.XMLFeatureSet.XMLFeatureState

- Enclosing class:
    XMLFeatureSet

      private static class XMLFeatureSet.XMLFeatureState
      extends Object

  A holder of the boolean state for a feature.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private XMLFeature` | `feature`
    `private boolean` | `state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLFeatureSet.XMLFeatureState(XMLFeature feature)` An XMLFeature that is turned off.
    `XMLFeatureSet.XMLFeatureState(XMLFeature feature, boolean state)` Bind a state to an XMLFeature.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLFeature` | `getFeature()`
    `void` | `setFeature(XMLReader parser)` Set the control state on the parser.
    `void` | `setState(boolean newState)` Set the new state

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### state

          private boolean state

    - #### feature

          private XMLFeature feature

  - ### Constructor Detail

    - #### XMLFeatureSet.XMLFeatureState

          XMLFeatureSet.XMLFeatureState(XMLFeature feature,
                                       boolean state)

      Bind a state to an XMLFeature.
      Parameters:
        `feature` - the XMLFeature
        `state` - whether that XMLFeature is on or off

    - #### XMLFeatureSet.XMLFeatureState

          XMLFeatureSet.XMLFeatureState(XMLFeature feature)

      An XMLFeature that is turned off.
      Parameters:
        `feature` - the XMLFeature

  - ### Method Detail

    - #### getFeature

          public XMLFeature getFeature()

      Returns:
        Returns the feature.

    - #### setState

          public void setState(boolean newState)

      Set the new state
      Parameters:
        `newState` - whether the feature is on or off

    - #### setFeature

          public void setFeature(XMLReader parser)

      Set the control state on the parser.
      Parameters:
        `parser` - The parser on which to set this feature